# <p align="center">【catalpa-code-generator】</p>

## 简介
***

- 基于
  - *SpringBoot3.0.5*
  - *MyBatis-Plus3.5.3.1*
  - *SpringDoc2.0.4*

[CatalpaWoo](https://blog.csdn.net/CatalpaWoo?type=blog)的MyBatis-Plus代码生成器插件，目前只配置了MySQL数据库。

当前版本：1.0-SNAPSHOT

## 模块
***

  - 1.代码生成信息传输类
  - 2.代码生成插件
  - 3.代码生成器工具类

## 使用
***

1. 拉取代码：
``` java
git clone git@gitcode.net:CatalpaWoo/mybatis-plus-generator.git
```
2. 执行配置文件生效：
``` java
source ~/.bash_profile
```
3. 执行打包：
``` java
mvn install
```
4. Maven引入：
``` java
<plugin>
	<groupId>com.catalpa.commons</groupId>
	<artifactId>catalpa-code-generator</artifactId>
	<version>1.0-SNAPSHOT</version>
	<configuration>
		<databaseName>saas</databaseName>
		<tableName>sys_user</tableName>
		<ip>127.0.0.1</ip>
		<port>3306</port>
		<userName>root</userName>
		<userPassword>240010</userPassword>
		<author>zjwu</author>
		<outputDir>src/main/java</outputDir>
		<parent>com.catalpa.bread</parent>
		<entity>bean</entity>
		<controller>controller</controller>
		<service>service</service>
		<serviceImpl>service.impl</serviceImpl>
		<mapper>dao</mapper>
		<xml>dao.xml</xml>
		<dto>dto</dto>
		<override>true</override>
	</configuration>
</plugin>
```
