package com.catalpa.commons.dto;

import lombok.Data;

/**
 * @author zjwu
 * 代码生成器实现类
 */
@Data
public class GeneratorDto {
    /**
     * 数据库名称
     */
    private String databaseName;

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 数据库ip
     */
    private String ip;

    /**
     * 数据库端口号
     */
    private String port;

    /**
     * 数据库用户名
     */
    private String userName;

    /**
     * 数据库用户密码
     */
    private String userPassword;

    /**
     * 作者
     */
    private String author;

    /**
     * 输出路径
     */
    private String outputDir;

    /**
     * 父包名
     */
    private String parent;

    /**
     * 实体类包名
     */
    private String entity;

    /**
     * 控制类包名
     */
    private String controller;

    /**
     * 服务类包名
     */
    private String service;

    /**
     * 服务实现类包名
     */
    private String serviceImpl;

    /**
     * 映射类包名
     */
    private String mapper;

    /**
     * 映射类XML包名
     */
    private String xml;

    /**
     * 传输类包名
     */
    private String dto;

    /**
     * 是否覆盖已生成文件
     */
    private Boolean override;

    /**
     * 数据库类型
     */
    private String databaseType;
}
